#speakers{
    margin-top: 40px;
}

.speakers-header .speakers-title{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.speakers-header .speakers-title{
    font-size: 46px;
}

.speakers-header .speakers-title input{
    min-width: 584px;
}

.search{
    position: relative;
}

.search-container input{
    padding: 19px 40px 19px 45px !important;
}

.search-container:after{
    content: '';
    background-image: url('data:image/svg+xml,%3Csvg%20width%3D%2218%22%20height%3D%2218%22%20viewBox%3D%220%200%2018%2018%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M12.5%2011.2549H11.71L11.43%2010.9849C12.444%209.80895%2013.0012%208.3076%2013%206.75489C13%205.46931%2012.6188%204.2126%2011.9046%203.14368C11.1903%202.07476%2010.1752%201.24164%208.98744%200.749669C7.79973%200.257699%206.49279%200.128977%205.23192%200.379781C3.97104%200.630585%202.81285%201.24965%201.90381%202.15869C0.994767%203.06773%200.375703%204.22592%200.124899%205.4868C-0.125905%206.74767%200.00281635%208.05461%200.494786%209.24233C0.986756%2010.43%201.81988%2011.4452%202.8888%2012.1594C3.95772%2012.8737%205.21442%2013.2549%206.5%2013.2549C8.11%2013.2549%209.59%2012.6649%2010.73%2011.6849L11%2011.9649V12.7549L16%2017.7449L17.49%2016.2549L12.5%2011.2549ZM6.5%2011.2549C4.01%2011.2549%202%209.24489%202%206.75489C2%204.26489%204.01%202.25489%206.5%202.25489C8.99%202.25489%2011%204.26489%2011%206.75489C11%209.24489%208.99%2011.2549%206.5%2011.2549Z%22%20fill%3D%22%239497A1%22%2F%3E%3C%2Fsvg%3E');
    background-size: 24px;
    background-repeat: no-repeat;
    position: absolute;
    left: 10px;
    top: 45%;
    width: 24px;
    height: 24px;
}

.filter-select, .categories{
    position: relative;
}

.filter-select .select-container:after{
    content: '';
    background-size: 24px;
    background-repeat: no-repeat;
    position: absolute;
    left: 10px;
    top: 23%;
    width: 24px;
    height: 24px;
}

.tags .select-container:after{
    background-image: url('data:image/svg+xml;utf8,<svg width="18" height="16" viewBox="0 0 18 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M3 16L4 12H0L0.5 10H4.5L5.5 6H1.5L2 4H6L7 0H9L8 4H12L13 0H15L14 4H18L17.5 6H13.5L12.5 10H16.5L16 12H12L11 16H9L10 12H6L5 16H3ZM6.5 10H10.5L11.5 6H7.5L6.5 10Z" fill="%239497A1"/></svg>');
}

.topics .select-container:after{
    background-image: url('data:image/svg+xml;utf8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M2.625 1.5H15.375C16.824 1.5 18 2.676 18 4.125V12.375C18 13.0712 17.7234 13.7389 17.2312 14.2312C16.7389 14.7234 16.0712 15 15.375 15H10.5915L6.7305 18.8595C6.42458 19.1643 6.03528 19.3716 5.61168 19.4555C5.18808 19.5393 4.74913 19.4959 4.35017 19.3307C3.95121 19.1655 3.61009 18.8858 3.36982 18.527C3.12954 18.1682 3.00086 17.7463 3 17.3145V15H2.625C1.92881 15 1.26113 14.7234 0.768845 14.2312C0.276562 13.7389 0 13.0712 0 12.375L0 4.125C0 2.676 1.176 1.5 2.625 1.5ZM2.25 4.125V12.375C2.25 12.582 2.418 12.75 2.625 12.75H4.125C4.42337 12.75 4.70952 12.8685 4.9205 13.0795C5.13147 13.2905 5.25 13.5766 5.25 13.875V17.16L9.33 13.08C9.54078 12.869 9.82673 12.7503 10.125 12.75H15.375C15.4745 12.75 15.5698 12.7105 15.6402 12.6402C15.7105 12.5698 15.75 12.4745 15.75 12.375V4.125C15.75 4.02554 15.7105 3.93016 15.6402 3.85984C15.5698 3.78951 15.4745 3.75 15.375 3.75H2.625C2.52554 3.75 2.43016 3.78951 2.35984 3.85984C2.28951 3.93016 2.25 4.02554 2.25 4.125ZM21.75 7.125C21.75 7.02554 21.7105 6.93016 21.6402 6.85983C21.5698 6.78951 21.4745 6.75 21.375 6.75H20.625C20.3266 6.75 20.0405 6.63147 19.8295 6.4205C19.6185 6.20952 19.5 5.92337 19.5 5.625C19.5 5.32663 19.6185 5.04048 19.8295 4.8295C20.0405 4.61853 20.3266 4.5 20.625 4.5H21.375C22.824 4.5 24 5.676 24 7.125V15.375C24 16.0712 23.7234 16.7389 23.2312 17.2312C22.7389 17.7234 22.0712 18 21.375 18H21V20.3145C20.9991 20.7463 20.8705 21.1682 20.6302 21.527C20.3899 21.8858 20.0488 22.1655 19.6498 22.3307C19.2509 22.4959 18.8119 22.5393 18.3883 22.4555C17.9647 22.3716 17.5754 22.1643 17.2695 21.8595L13.83 18.42C13.6819 18.2825 13.5737 18.1076 13.5166 17.9137C13.4596 17.7198 13.4559 17.5142 13.506 17.3184C13.5561 17.1226 13.658 16.9439 13.8011 16.8012C13.9442 16.6585 14.1231 16.5571 14.319 16.5075C14.5146 16.4575 14.72 16.4611 14.9137 16.5179C15.1074 16.5746 15.2823 16.6824 15.42 16.83L18.75 20.16V16.875C18.75 16.5766 18.8685 16.2905 19.0795 16.0795C19.2905 15.8685 19.5766 15.75 19.875 15.75H21.375C21.4745 15.75 21.5698 15.7105 21.6402 15.6402C21.7105 15.5698 21.75 15.4745 21.75 15.375V7.125Z" fill="%239497A1"/></svg>');
}

.type .select-container:after{
    background-image: url('data:image/svg+xml;utf8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M1.3185 16.3185L1.5915 16.5915L2.9085 17.9085C3.1175 17.6996 3.3656 17.5339 3.63863 17.4209C3.91166 17.3079 4.20428 17.2497 4.49978 17.2498C4.79528 17.2499 5.08787 17.3082 5.36085 17.4213C5.63383 17.5344 5.88185 17.7003 6.09075 17.9093C6.29965 18.1182 6.46534 18.3663 6.57836 18.6394C6.69138 18.9124 6.74951 19.205 6.74944 19.5005C6.74937 19.796 6.6911 20.0886 6.57795 20.3616C6.46481 20.6346 6.299 20.8826 6.09 21.0915L7.41 22.4085L7.6815 22.6815L9 24L10.59 22.41L22.41 10.59L24 9L22.6815 7.6815L22.4085 7.4085L21.0915 6.0915C20.8826 6.3005 20.6346 6.46631 20.3616 6.57945C20.0886 6.6926 19.796 6.75087 19.5005 6.75094C18.9037 6.75108 18.3313 6.51414 17.9093 6.09225C17.7003 5.88335 17.5344 5.63533 17.4213 5.36235C17.3082 5.08937 17.2499 4.79678 17.2498 4.50128C17.2497 3.90449 17.4866 3.33209 17.9085 2.91L16.5915 1.59L16.3185 1.3185L15 0L13.41 1.59L1.59 13.41L0 15L1.3185 16.3185ZM4.5 15C4.097 15.002 3.7085 15.053 3.3345 15.153L3.1815 15L9.7965 8.3865L15.6135 14.205L9 20.8185L8.847 20.6655C9.0258 19.9987 9.04879 19.2997 8.91418 18.6226C8.77957 17.9455 8.49098 17.3084 8.07073 16.7607C7.65048 16.213 7.10985 15.7693 6.49067 15.464C5.87149 15.1587 5.19036 14.9999 4.5 15ZM17.205 12.6135L20.8185 9L20.6655 8.847C19.9023 9.05179 19.0986 9.05201 18.3353 8.84763C17.572 8.64325 16.876 8.24148 16.3173 7.68273C15.7585 7.12399 15.3567 6.42796 15.1524 5.66466C14.948 4.90135 14.9482 4.09769 15.153 3.3345L15 3.1815L11.3865 6.7965L17.205 12.6135Z" fill="%239497A1"/></svg>');
}

.categories .select-container:after{
    background-image: url('data:image/svg+xml;utf8,<svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15 8C16.6569 8 18 6.65685 18 5C18 3.34315 16.6569 2 15 2C13.3431 2 12 3.34315 12 5C12 6.65685 13.3431 8 15 8Z" stroke="%239497A1" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"/><path d="M5 18C6.65685 18 8 16.6569 8 15C8 13.3431 6.65685 12 5 12C3.34315 12 2 13.3431 2 15C2 16.6569 3.34315 18 5 18Z" stroke="%239497A1" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"/><path d="M12 12H18V17C18 17.2652 17.8946 17.5196 17.7071 17.7071C17.5196 17.8946 17.2652 18 17 18H13C12.7348 18 12.4804 17.8946 12.2929 17.7071C12.1054 17.5196 12 17.2652 12 17V12ZM2 2H8V7C8 7.26522 7.89464 7.51957 7.70711 7.70711C7.51957 7.89464 7.26522 8 7 8H3C2.73478 8 2.48043 7.89464 2.29289 7.70711C2.10536 7.51957 2 7.26522 2 7V2Z" stroke="%239497A1" stroke-width="2.5" stroke-linecap="round" stroke-linejoin="round"/></svg>');
}

.gender .select-container:after{
    background-image: url('data:image/svg+xml;utf8,<svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M8 0C9.06087 0 10.0783 0.421427 10.8284 1.17157C11.5786 1.92172 12 2.93913 12 4C12 5.06087 11.5786 6.07828 10.8284 6.82843C10.0783 7.57857 9.06087 8 8 8C6.93913 8 5.92172 7.57857 5.17157 6.82843C4.42143 6.07828 4 5.06087 4 4C4 2.93913 4.42143 1.92172 5.17157 1.17157C5.92172 0.421427 6.93913 0 8 0ZM8 2C7.46957 2 6.96086 2.21071 6.58579 2.58579C6.21071 2.96086 6 3.46957 6 4C6 4.53043 6.21071 5.03914 6.58579 5.41421C6.96086 5.78929 7.46957 6 8 6C8.53043 6 9.03914 5.78929 9.41421 5.41421C9.78929 5.03914 10 4.53043 10 4C10 3.46957 9.78929 2.96086 9.41421 2.58579C9.03914 2.21071 8.53043 2 8 2ZM8 9C10.67 9 16 10.33 16 13V16H0V13C0 10.33 5.33 9 8 9ZM8 10.9C5.03 10.9 1.9 12.36 1.9 13V14.1H14.1V13C14.1 12.36 10.97 10.9 8 10.9Z" fill="%239497A1"/></svg>');
}

.speakers-header .speakers-title{
    margin-bottom: 32px;
}

.speakers-filter .categories{
    min-width: 206px;
}

.speakers-filter .filter-select{
    width: 100%;
}

.speakers-filter{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.speakers-switcher-wrapper a{
    white-space: nowrap;
}

.speakers-switcher-wrapper{
    display: flex;
    align-items: center;
    gap: 33px;
}

.speakers-switcher .speakers-switcher-wrapper a:not(.active){
    font-size: 20px;
    color: #9497A1;
}

.speakers-switcher .speakers-switcher-wrapper a{
    padding-bottom: 10px;
}

.speakers-switcher .speakers-switcher-wrapper a.active
{
    font-weight: 600;
    border-bottom: 2px solid #125798;
    font-size: 24px;
    color: #125798;
}

/*speaker body*/

.speaker_topics_grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr); 
    gap: 2rem; 
    margin-top: 2.5rem; 
}

.speaker_topic_post {
    display: flex;
    flex-direction: column;
}

.speaker_topic_body{
	flex: 1;
}

.speaker_topic_body .speaker_speakers_city {
    color: #9497A1;
    font-size: 1rem;
    font-weight: bold;
}

.speaker_speakers_category a{
    margin-right: 12px;
}

.speaker_speakers_category{
    margin-bottom: 12px;
}

.speaker_topic_thumbnail img {
    width: 100%;
    height: auto;
    border-radius: 0.5rem;
    margin-bottom: 0.9rem;
}

.speaker_topic_title {
    font-size: 1.5rem;
    color: #292D33;
    margin-bottom: 0.625rem;
}

.speaker_topic_excerpt {
    color: #555;
    margin-bottom: 1.25rem;
}

.speaker_topic_post a {
    text-align: center;
}

.speaker_topic_body{
    margin-bottom: 0.75rem;
}

.speaker_topic_icon{
    margin-bottom: 0.75rem;
}

.speaker_speakers_category a {
    border: 1px solid #125798;
    padding: 4px;
    border-radius: 4px;
    font-weight: 500;
    color: #125798;
}

.load-more-btn{
    display: flex;
    justify-content: center;
    align-items: center;

    margin-top: 80px;
}

.load-more-btn button{
    flex: 0.46;
}

.toggle-button-filters button {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #125798;
    border-radius: 4px;
    font-size: 18px;
    font-weight: 500;
    gap: 8px;
    color: #125798;
    padding: 4px 15px;
    background-color: white;
    cursor: pointer;
    transition: background-color 0.3s ease, border-color 0.3s ease;
}

.speaker_topic_post .speaker_topic_icon a img{
    height: 300px;
    object-fit: cover;
    border-radius: 12px;
	width: 100%;
}

/*end speaker body*/

.speaker_topic_post .btn.btn-default{
    padding: 8px;
    background: #125798;
    border: none;
	color: white;
	border: 1px solid #125798;
}

.speaker_topic_post .btn.btn-default:hover{
	background: transparent;
	color: #125798;
}

@media (max-width: 800px){
    .speaker_topics_grid{
        gap: 1.188rem;
        margin-top: 1.5rem;
		grid-template-columns: repeat(2, 1fr);
        justify-content: center;
    }

    .toggle-filters-wrapper{
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }

    .toggle-filters-wrapper select{
        margin-bottom: 1rem;
    }

    .list-items {
        list-style-type: none;
        padding: 0;
        margin-top: 15px;
        max-height: 300px;
        overflow-y: auto;
        overflow-x: hidden;
        scrollbar-width: thin;
    }

    .speaker_topic_post .btn.btn-default{
        padding: 4px;
    }

    .speakers-header .speakers-title{
        margin-bottom: 24px;
    }

    .search-container:after{
        top: 25%;
    }

    .speaker_topic_icon a img{
		height: 220px !important;
        min-width: 158px;
        min-height: 166px;
        object-fit: cover;
        border-radius: 8px;
		width: 130px;
        height: 166px;
    }

    #speakers{
        margin-top: 0;
    }

    .speakers-header .speakers-title h2{
        font-size: 20px;

    }

    /* Overlay for blur effect */
    .toggle-filters-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 998;
        display: none;
        backdrop-filter: blur(5px); /* This creates the blur effect */
    }

    /* Category filter box */
    .toggle-filters {
        position: fixed;
        bottom: -100%;
        left: 0;
        width: 100%;
        background-color: white;
        box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.2);
        transition: bottom 0.3s ease-in-out;
        padding: 20px;
        z-index: 999;
        border-radius: 10px 10px 0 0;
    }

    /* filter box */
    .toggle-filters {
        position: fixed;
        bottom: -100%;
        left: 0;
        width: 100%;
        background-color: white;
        box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.2);
        transition: bottom 0.3s ease-in-out;
        padding: 20px;
        z-index: 999;
        border-radius: 10px 10px 0 0;
    }

    .toggle-filters.show {
        bottom: 0;
    }

    .filters-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .close-filters {
        color: black;
        border: none;
        border-radius: 50%;
        font-size: 18px;
        width: 30px;
        height: 30px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
    }


    .list-items .list-item label {
        display: flex;
        align-items: center;
        gap: 8px;
        font-size: 1rem;
        color: #9497A1;
        margin-bottom: 1rem;
        cursor: pointer;
    }

    .list-items .list-item label input[type="checkbox"] {
        appearance: none;
        width: 20px;
        height: 20px;
        border: 1px solid #125798;
        border-radius: 4px;
        outline: none;
        cursor: pointer;
        position: relative;
        transition: background-color 0.3s, border-color 0.3s;
    }

    .list-items .list-item label input[type="checkbox"]:checked {
        background-color: #125798;
        border-color: #125798;
    }

    .list-items {
        list-style-type: none;
        padding: 0;
        margin-top: 15px;
        margin-bottom: 30px;
    }

    .list-items .list-item label input[type="checkbox"]:checked::after {
        content: '';
        position: absolute;
        width: 5px;
        height: 10px;
        border: solid #fff;
        border-width: 0 2px 2px 0;
        top: 4px;
        left: 7px;
        transform: rotate(45deg);
    }

    .load-more-btn{
        margin-top: 32px;
    }

    .load-more-btn button{
        flex: 1;
    }

    .toggle-filters{
        max-height: 500px;
        overflow-x: overlay;
    }
}

@media (max-width: 390px){
    .speaker_topic_post{
        max-width: 150px;
    }
}

@media (max-width: 425px){
    .speaker_topic_icon a img{
        min-width: 130px !important;
        min-height: 166px !important;
        max-height: 100% !important;
        max-width: 100% !important;
    }
}
